package com.dsic.gj_erp.controller.txzz;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jt.应付账款;
import com.dsic.gj_erp.service.txzz.I应付账款Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
@RestController
@RequestMapping("/system/应付账款")
public class 应付账款Controller{
    @Autowired
    private I应付账款Service 应付账款Service;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public ResultBean list(应付账款 应付账款)
    {
        List<应付账款> list = 应付账款Service.select应付账款List(应付账款);
        return new ResultBean(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, 应付账款 应付账款)
    {
        List<应付账款> list = 应付账款Service.select应付账款List(应付账款);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{产品名称}")
    public ResultBean getInfo(@PathVariable("产品名称") String 产品名称)
    {
        应付账款Service.select应付账款By产品名称(产品名称);
        return new ResultBean();
    }

    /**
     * 新增【请填写功能名称】
     */
    @PostMapping
    public ResultBean add(@RequestBody 应付账款 应付账款)
    {
        应付账款Service.insert应付账款(应付账款);
        return new ResultBean();
    }

    /**
     * 修改【请填写功能名称】
     */
    @PutMapping
    public ResultBean edit(@RequestBody 应付账款 应付账款)
    {
        应付账款Service.update应付账款(应付账款);
        return new ResultBean();
    }

    /**
     * 删除【请填写功能名称】
     */
	@DeleteMapping("/{产品名称s}")
    public ResultBean remove(@PathVariable String[] 产品名称s)
    {
        应付账款Service.delete应付账款By产品名称s(产品名称s);
        return new ResultBean();
    }
}
