package com.dsic.gj_erp.pc.dto.gx;

import com.dsic.gj_erp.pc.Constant;
import com.dsic.gj_erp.pc.dto.工序产能;
import com.dsic.gj_erp.pc.dto.设备;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter
@Setter
public class 工序02抛丸 extends 工序产能 {
    public 工序02抛丸(Map<String, 设备> _设备) {
        super(Constant.工序.抛丸,_设备);
    }

    @Override
    public void 计算工作量() {
        this.产能=0;
        if (this.白班时长>0){
            this.产能+=this.白班时长*Constant.设备产能.抛丸01.get白班设备产能()/7.0;
        }
        if (this.二班时长>0){
            this.产能+=this.二班时长*Constant.设备产能.抛丸01.get二班设备产能()/7.0;
        }
    }

    @Override
    public void 占用资源(double 所需产能) {
        super.占用资源(1.0);
    }
}
