package com.dsic.gj_erp.pc.service;

import com.dsic.gj_erp.pc.dto.data.Bom;

public interface 工序排产处理接口 {
    void 修正工作量(double 白班时长,double 二班时长);


    default void 占用资源(String 图纸,double 所需产能){
        占用资源(所需产能);
        占用资源(图纸);
    }

    default void 占用资源(String 图纸,double 所需产能, Bom bom){
        占用资源(所需产能);
        占用资源(图纸);
        占用设备(图纸,所需产能,bom);
    }

    default void 占用资源(double 所需产能, Bom bom){
        占用资源(所需产能);
        占用资源(bom.getTzbh());
        占用设备(bom.getTzbh(),所需产能,bom);
    }

    default void 强占资源(double 所需产能, Bom bom){
        占用资源(所需产能);
        占用资源(bom.getTzbh());
        强占设备(bom.getTzbh(),所需产能,bom);
    }

    void 计算工作量();

    void 占用资源(double 所需产能);

    void 占用资源(String 占用源);

    void 占用设备(String 占用源, double 所需产能, Bom bom);
    void 强占设备(String 占用源,double 所需产能, Bom bom);
}
