package com.dsic.gj_erp.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;

@Configuration
public class DynamicDataSourceConfig {
    @Primary
    @Bean("masterDataSource")
    @ConfigurationProperties("spring.datasource.master")
    public DataSource masterDataSource() {
        return DataSourceBuilder.create().build();
    }

    @Bean("jiuzhouDataSource")
    @ConfigurationProperties("spring.datasource.jiuzhou")
    public DataSource jiuzhouDataSource() {
        return DataSourceBuilder.create().build();
    }

}
